Summary of supported operating systems

This article lists the versions of Windows, SQL Server, Visual Studio, and .NET Framework versions that are supported with Microsoft BizTalk Server 2006 R2 and newer.
Supported operating systems

BTS 2013 R2 BTS 2013 BTS 2010 BTS 2009 BTS 2006 R2
Windows XP No No No Yes, with Windows XP Service Pack 3 Yes, with Windows XP Service Pack 2 or later service pack
Windows XP Professional, 64-Bit Edition No No No Yes, with Windows XP Service Pack 3 Yes, with Windows XP Service Pack 2 or later service pack
Windows Server 2003 No No No Yes, with Windows Server 2003 Service Pack 1 or later service pack Yes, with Windows Server 2003 Service Pack 1
Windows Server 2003, 64-Bit Edition No No No Yes Yes
Windows Vista, including 64-bit No No Yes, with Windows Vista Service Pack 2 or later service pack Yes, with Windows Vista Service Pack 1 or later service pack Yes
Windows Server 2008, including 64-bit No No Yes Yes No
Windows 7, including 64-bit Yes, with Windows 7 Service Pack 1 or later service pack Yes, with Windows 7 Service Pack 1 or later service pack Yes No No
Windows Server 2008 R2, including 64-bit No Yes, with Windows Server 2008 R2 Service Pack 1 or later service pack Yes No No
Windows Server 2012 Yes Yes No No No
Windows Server 2012 R2 Yes No No No No
Windows 8 No Yes No No No
Windows 8.1 Yes No No No No

Reference Microsoft Support Page: https://support.microsoft.com/en-us/kb/926628

Supported SQL Server

BTS 2013 R2 BTS 2013 BTS 2010 BTS 2009 BTS 2006 R2
SQL Server 2000 No No No No Yes, with SQL Server 2000 Service Pack 4
SQL Server 2000, 64-Bit Edition No No No No Yes
SQL Server 2005, including 64-bit No No No Yes, with SQL Server 2005 Service Pack 2 or later service pack Yes
SQL Server 2008, including 64-bit No No Yes, with SQL Server 2008 Service Pack 1 or later service pack Yes No
SQL Server 2008 R2, including 64-bit No Yes, with SQL Server 2008 R2 Service Pack 1 or later service pack Yes No No
SQL Server 2012 Yes, with SQL Server 2012 Service Pack 1 Yes No No No
SQL Server 2014 Yes No No No No
SQL Server Express Yes but not recommended Yes but not recommended Yes but not recommended Yes but not recommended Yes but not recommended


Supported Visual Studio

BTS 2013 R2 BTS 2013 BTS 2010 BTS 2009 BTS 2006 R2
Visual Studio version Visual Studio 2013 Visual Studio 2012 Visual Studio 2010 Visual Studio 2008 SP1 or later service pack Visual Studio 2005
.NET Framework version Visual Studio project target build: .Net Framework 4.5 Visual Studio project target build: .Net Framework 4.5 Visual Studio project target build: .Net Framework 4 or .Net Framework 3.5 SP1 .Net Framework 3.5 SP1 .Net Framework 3.0
BizTalk Runtime: .Net Framework 4.5.x BizTalk Runtime: .Net Framework 4.5.x BizTalk Runtime: .Net Framework 4.5.x (Only with CU7) .Net Framework 2.0


For previous BizTalk Server versions, go to BizTalk Server: Operating System, SQL Server Version, and 64-bit Support.

Leave a Reply

Your email address will not be published.